summaryrefslogtreecommitdiff
path: root/games-util
diff options
context:
space:
mode:
authoreroen2012-10-15 00:37:28 +0200
committereroen2012-10-15 00:37:28 +0200
commit07fafba2ebd3b9f274c4c36a883e20d1cbcb787d (patch)
tree270f4a3404d8b05b0bb4231a470e3f2628b607d7 /games-util
parenteab456e12cbe1e696db599622f0dac3b66c88899 (diff)
downloaderoen-overlay-07fafba2ebd3b9f274c4c36a883e20d1cbcb787d.tar.gz
eroen-overlay-07fafba2ebd3b9f274c4c36a883e20d1cbcb787d.tar.bz2
eroen-overlay-07fafba2ebd3b9f274c4c36a883e20d1cbcb787d.tar.xz
dwarftherapist ebuild
Diffstat (limited to 'games-util')
-rw-r--r--games-util/dwarftherapist/Manifest2
-rw-r--r--games-util/dwarftherapist/dwarftherapist-0.6.13_p20120616.ebuild85
-rw-r--r--games-util/dwarftherapist/metadata.xml7
3 files changed, 94 insertions, 0 deletions
diff --git a/games-util/dwarftherapist/Manifest b/games-util/dwarftherapist/Manifest
new file mode 100644
index 00000000..110099e5
--- /dev/null
+++ b/games-util/dwarftherapist/Manifest
@@ -0,0 +1,2 @@
+EBUILD dwarftherapist-0.6.13_p20120616.ebuild 2140 SHA256 0695206b8a5bef2072f184d11908ae4d1e7efb38f9905cdd10632134bd279102 SHA512 20db59f1f2dd86b64587df4f6c506554e98fff0589bc1ffa9658230d9928611693f11a2b03bda63a97d8a8466720f5b6236700a7618a3e42a183373d44e0f2c3 WHIRLPOOL 7fbf1f537bfd9c9b8342f17fa3bc28740f6a1b0281ebd2fdd733134a0f44042ddd822ef03668f7634f85058fe068612aaa012b38a31b170af5237bf5f7124331
+MISC metadata.xml 189 SHA256 3c34d13913d23a2d7669fe1e294b7a026e204eff7c701461646f4d7db25d9d0c SHA512 fe3ac50d70b7d95b9488f1af5dcd8dad0b3f9e344f4f56ba58b7812e4e17e0d90540c446882c8c5d11f32b89976d6e1b3d10846acf6ef75849daa4e163139213 WHIRLPOOL e85232acc2cd9452fcaa9e49b23e6980e224d79a23a48c43be38dea3d3a60d1b4cfce56ffe2e193b7c5d6100fef927da9c8d5a5b085e7849d1bd65cb104ce715
diff --git a/games-util/dwarftherapist/dwarftherapist-0.6.13_p20120616.ebuild b/games-util/dwarftherapist/dwarftherapist-0.6.13_p20120616.ebuild
new file mode 100644
index 00000000..bc118ee7
--- /dev/null
+++ b/games-util/dwarftherapist/dwarftherapist-0.6.13_p20120616.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit games qt4-r2 mercurial
+
+MY_PN="DwarfTherapist"
+MY_P="${MY_PN}-${PV}"
+
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="Management tool designed to run side-by-side with games-simulation/dwarffortress"
+HOMEPAGE="https://code.google.com/p/dwarftherapist/"
+EHG_REPO_URI="https://code.google.com/p/dwarftherapist/"
+EHG_REVISION="27c3f5c81171531434ab3ca370071068a207022b"
+
+LICENSE="MIT LGPL-2.1-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+COMMON_DEPEND="x11-libs/qt-core
+ x11-libs/qt-gui
+ x11-libs/qt-script
+ sys-devel/gcc
+ sys-libs/glibc
+ "
+DEPEND="${COMMON_DEPEND}
+ dev-vcs/mercurial
+ "
+RDEPEND="${COMMON_DEPEND}
+ "
+
+src_unpack() {
+ mercurial_src_unpack
+ qt4-r2_src_unpack
+}
+
+src_prepare() {
+ #Change paths to reflect games policy. The project file controls
+ #installation targets, the wrapper script needs to find the binary.
+ #Remove the broken doc installation commands
+ sed -f - -i dwarftherapist.pro dist/dwarftherapist <<-EOF || die
+ s:/usr/share/dwarftherapist:"${GAMES_DATADIR}/${PN}":
+ s:/usr/bin:"${GAMES_PREFIX}/bin":
+ /^.*doc.extra = .*$/d
+ EOF
+ #Encoding is deprecated, Version should refer to Desktop Entry Specification
+ #version, not application version. The GTK category should accompany the
+ #GNOME category.
+ sed -f - -i dist/dwarftherapist.desktop <<-EOF || die
+ s/GNOME;/GTK;GNOME;/
+ /^Version=/d
+ /^Encoding=/d
+ EOF
+
+ qt4-r2_src_prepare
+}
+
+src_install() {
+ qt4-r2_src_install
+
+ dodoc "README.txt" "CHANGELOG.txt" "KNOWN_ISSUES.txt"
+ dohtml "doc/"*".html"
+ dodoc -r "img/screenshots"
+ docompress -x "/usr/share/doc/${P}/screenshots/"
+
+ dodir "${GAMES_DATADIR}/${PN}/log/"
+ prepgamesdirs
+ fperms g+w "${GAMES_DATADIR}/${PN}/log/"
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ elog
+ elog "To start Dwarf Therapist, please run 'dwarftherapist'."
+ elog
+ elog "Your preferences will be kept in"
+ elog "'~/.config/UDP Software/Dwarf Therapist.ini'"
+ elog
+ elog "This snapshot of dwarftherapist contains memory mappings for"
+ elog "games-simulation/dwarffortress-34.11 and earlier."
+}
diff --git a/games-util/dwarftherapist/metadata.xml b/games-util/dwarftherapist/metadata.xml
new file mode 100644
index 00000000..199da9a0
--- /dev/null
+++ b/games-util/dwarftherapist/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <longdescription lang="en">
+ </longdescription>
+</pkgmetadata>
+